
module Kernel

  # A nice shorthand for lambda.
  #
  #   adder = fn { |x,y| x + y }
  #   adder[1,2]  #=> 3
  #
  alias_method( :fn, :lambda )

end 



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCKernel < Test::Unit::TestCase

    def test_fn
      assert_instance_of(Proc, fn{ |x| x + 1 } )
    end

  end

=end
